use 5.006;
use ExtUtils::MakeMaker;

my $ZFS_LDLIBS = '-ldtrace';
my $ZFS_CFLAGS = '';

WriteMakefile(
              'NAME' => 'Sun::DTraceLib',
              'VERSION_FROM' => 'lib/Sun/DTraceLib.pm',
              'PREREQ_PM' => {
                  },
              'AUTHOR' => 'Nexenta Systems, Inc',
              'LIBS' => [$ZFS_LDLIBS],
              'DEFINE' => '-U_FILE_OFFSET_BITS',
              'INC' => "-Wall $ZFS_CFLAGS",
              'depend' => {
                  Makefile => '$(VERSION_FROM)',
              },
              'realclean' => {
                  FILES => 'Sun-DTraceLib.spec',
              },
);

package MY;

sub libscan {
	my ($self, $path) = @_;
	($path =~ /\~$/ || $path =~ m,/.svn/,) ? undef : $path;
}

__END__
